PUT
/api/v1/rds/cluster/{Cluster_id}/rds-upgrade/
curl --request PUT \ --url 'https://api.e2enetworks.com/myaccount/api/v1/rds/cluster/{Cluster_id}/rds-upgrade/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "template_id": 492}'import requests
response = requests.put( "https://api.e2enetworks.com/myaccount/api/v1/rds/cluster/{Cluster_id}/rds-upgrade/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "template_id": 492, },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/rds/cluster/{Cluster_id}/rds-upgrade/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "PUT", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "template_id": 492 }),});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Cluster_id
required
integer
Cluster Id
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
template_id
required
integer
Example
{ "template_id": 492}Responses
Section titled “Responses”DBaaS node upgrade response
Media typeapplication/json
object
code
required
integer
data
required
object
message
required
string
cluster_id
required
integer
name
required
string
errors
required
object
message
required
string
Example generated
{ "code": 1, "data": { "message": "example", "cluster_id": 1, "name": "example" }, "errors": {}, "message": "example"}